Entur Developer
Products

admin/cache

Server

Delete all elements in cache or delete specific element given key in req.body

PUT
https://api.entur.io/products
/admin/cache/delete

Delete all elements in cache or delete specific element given key in req.body › query Parameters

nameOfEntity
​string · style: form · explode: true

Specify this if you want to delete all elements connected to a specific type of entity. I.e. 'fare_structure_element' or 'fare_table' etc.

Delete all elements in cache or delete specific element given key in req.body › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete all elements in cache or delete specific element given key in req.body › Request Body

string

Delete all elements in cache or delete specific element given key in req.body › Responses

Successfully deleted

integer · int64

Delete all elements in cache

PUT
https://api.entur.io/products
/admin/cache/delete/all

Delete all elements in cache › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete all elements in cache › Responses

Successfully deleted

string

Delete all elements in cache

PUT
https://api.entur.io/products
/admin/cache/invalidate

Delete all elements in cache › query Parameters

nameOfEntity
​string · style: form · explode: true

Specify this if you want to invalidate cache for elements connected to a specific type of entity. I.e. 'fare_structure_element' or 'fare_table' etc. . If no value given all cache will be invalidated

all
​string · style: form · explode: true

If set to true the whole cache will be invalidated. If false only the cache for the specified entity will be invalidated. Default is false.

Delete all elements in cache › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete all elements in cache › Responses

Successfully deleted

string

Count the DB size of Redis

GET
https://api.entur.io/products
/admin/cache/keys/count

Count the DB size of Redis › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Count the DB size of Redis › Responses

Successfully

integer · int64

Count number of elements in cache by key of entity

GET
https://api.entur.io/products
/admin/cache/keys/count/{keyOfEntity}

Count number of elements in cache by key of entity › path Parameters

keyOfEntity
​string · required · style: simple

Count number of elements in cache by key of entity › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Count number of elements in cache by key of entity › Responses

Successfully

integer · int64

Get key info for entities in cache

GET
https://api.entur.io/products
/admin/cache/keys/info

Get key info for entities in cache › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Get key info for entities in cache › Responses

Successfully

empty
​boolean
traversableAgain
​boolean

Get key info for a given entity in cache

GET
https://api.entur.io/products
/admin/cache/keys/info/{nameOfEntity}

Get key info for a given entity in cache › path Parameters

nameOfEntity
​string · required · style: simple

Get key info for a given entity in cache › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Get key info for a given entity in cache › Responses

Successfully

empty
​boolean
traversableAgain
​boolean

Get cache statuses for all entities

GET
https://api.entur.io/products
/admin/cache/status

Get cache statuses for all entities › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Get cache statuses for all entities › Responses

Successfully retrieved cache statuses

empty
​boolean
traversableAgain
​boolean

Did you find what you were looking for?